let btn = document.querySelector(".btn"),
    usdButton = document.querySelector("#usd-button"),
    eurButton = document.querySelector("#eur-button"),
    gbpButton = document.querySelector("#gbp-button"),
    currency = "USD",
    rateDisplay = document.querySelector("#btc-price");

getRate("USD");
getHistorical("USD");

usdButton.addEventListener("click", function(){
  getRate("USD");
  getHistorical("USD")
});

gbpButton.addEventListener("click", function(){
  getRate("GBP");
  getHistorical("GBP")
});

eurButton.addEventListener("click", function(){
  getRate("EUR");
  getHistorical("EUR")
  
});

function getRate(code){
  let XHR = new XMLHttpRequest();
  let url = "https://api.coindesk.com/v1/bpi/currentprice.json";
  
  XHR.onreadystatechange = function(){
    if(XHR.readyState == 4 && XHR.status == 200){
       let data = JSON.parse(XHR.responseText);
       let rate = (data.bpi[code].rate);     
       rateDisplay.innerHTML = rate + " " + code;
    }   
  }
  XHR.open("GET", url);
  XHR.send();
}

function getHistorical(code){
  
  let XHR = new XMLHttpRequest();
  let url= "https://api.coindesk.com/v1/bpi/historical/close.json?currency=" + code;

  XHR.onreadystatechange = function(){
    if(XHR.readyState == 4 && XHR.status == 200){
      let data = JSON.parse(XHR.responseText),   
          historicalRates = Object.values(data.bpi),
          historicalDates = Object.keys(data.bpi);
      
      createChart(historicalDates, historicalRates, code);    
    }
  }
  XHR.open("GET", url);
  XHR.send();
}

//Chart.js
function createChart(dates, rates, code){
  var ctx = document.getElementById("myChart").getContext('2d');
  var myChart = new Chart(ctx, {
      type: 'line',
      data: {
          labels: dates,
          datasets: [{
              label: 'Bitcoin Rate in ' + code,
              data: rates,
              backgroundColor: 'rgba(29, 168, 215, 0.2)',
              borderColor: 'rgba(22,130,166,1)',
              borderWidth: 1
          }]
      },
      options: {
          legend: {
            labels: {
              fontFamily: 'Open Sans'
            }
          },
          scales: {
              yAxes: [{
                  stacked: false,
                  ticks: {
                      beginAtZero:false
                  }
                  
              }]
          }
      }
  });
}